import { IResourceDateTimeFormat, RuntimeSearchField } from '@oinone/kunlun-engine';
import { CallChaining } from '@oinone/kunlun-shared';
import { WidgetComponent } from '@oinone/kunlun-vue-widget';
import { SearchRangeFieldWidget } from '../../../range';
export declare class SearchDateTimeRangeFieldWidget extends SearchRangeFieldWidget<string | [string, string], RuntimeSearchField> {
    protected mountedCallChaining: CallChaining | undefined;
    protected getInitializeComponent(): WidgetComponent;
    protected resourceDateTimeFormat: IResourceDateTimeFormat;
    protected get format(): string | undefined;
    protected get valueFormat(): string | undefined;
    protected get dateFormat(): string | undefined;
    protected get timeFormat(): string | undefined;
    protected get isSingle(): boolean;
    get value(): string | [string, string] | null | undefined;
    protected get placeholder(): string | string[] | undefined;
    protected mountedProcess(): void;
    protected $$mounted(): void;
    protected $$unmounted(): void;
    protected $$created(): Promise<void>;
}
